#include "xsoundfile.h"

XSoundFile::XSoundFile()
    : XAsset()
    , mType(0)
    , mExists(0)
    , mRef()
{

}

XSoundFile::~XSoundFile()
{

}

quint8 XSoundFile::GetSoundType() const
{
    return mType;
}

void XSoundFile::ParseData(QDataStream *aStream)
{
    if (GetPtr() == -1)
    {
        *aStream
            >> mType
            >> mExists;

        aStream->skipRawData(2);

        mRef.ParseData(aStream);
    }
}

void XSoundFile::Clear()
{
    mType = 0;
    mExists = 0;
    mRef.Clear();
}
